<template><page-meta :page-font-size="fontValue+'px'" :root-font-size="fontValue+'px'"></page-meta>
  <view class="page">
    <view>{{detailData.articleContent}}</view>
  </view>
</template>

<script>
import { getHealthScienceDetailApi } from '@/api/mine/health.js';
	  
export default {
	data() {
		return {
			fontValue:uni.getStorageSync('fontSize') || 8,
			orderId:"", 
			// 详情页数据
			detailData: {
				
			}
		}
	},
	onLoad(options) {
		this.detailData = JSON.parse(options.params)
		// this.orderId = options.orderId;
		// this.getOrderDetail() 
	},
	methods: {  
		async getOrderDetail() {
			try {
				let param = {
					"orderId":this.orderId
				}
				const res = await getHealthScienceDetailApi(param)
				console.log('?? ~ getList ~ res:', res)
				this.detailData = res.data;
				// this.generate(res.data.macOrderId)
				this.payTypeList.forEach((item=>{
					if(item.key==this.detailData.payType){
						this.detailData.payTypeStr = item.value
					}
				}))
				this.typeList.forEach((item=>{
					if(item.id==this.detailData.orderType){
						this.detailData.orderTypeStr = item.name
					}
				}))
			} catch (error) {
				console.log(error)
			}
		},
		 
	}
}
</script>

<style lang="scss" scoped>
.page {
  background: #f9fbff;
  padding: 16px;
  min-height: 95vh;
  color: #0f274b;
} 
.m-8 {
  margin: 0 8px;
}
.bt {
  margin-bottom: 16px;
}
 
</style>
